The Ability Launcher

Launcher

The Launcher provides a convenient way to start any of the Ability modules and an easy way of opening existing documents.

Launcher can be configured (see Display options) in a similar way to the Windows taskbar (see Windows taskbar): docked to the edge of the display, or floating as an "always-on-top" toolbar.

The Launcher can be extended to quick start other applications (see Adding an application) - for example, Windows Explorer and Control Panel.

Here's what each of the buttons on Launcher does:

Open Ability Document | Opens any Ability document – see Opening existing documents
Write | Starts Write with a new document – see Launching an application
Database | Starts Database – see Launching an application
Photopaint | Starts Photopaint – see Launching an application
Spreadsheet | Starts Spreadsheet with a new document – see Launching an application
Draw | Starts Draw with a new document – see Launching an application
Presentation | Starts Presentation – see Launching an application
Photoalbum | Starts Photoalbum – see Launching an application
Explorer | Windows Explorer. Part of the Windows operating system, it allows comprehensive file management and access, including finding, deleting, copying, organizing and renaming of files.
Launcher Menu | Options for configuring Launcher.

See also:

Starting Launcher

Modifying Launcher


Starting Launcher

To run Launcher, do one of the following:

  • Click the Start button, select Programs, select Ability Office and then select Launcher from the list of Ability applications.

  • If you are already in an Ability application, click on the Launcher button [image] on the toolbar.

See also:

Closing applications


Display options

In its default state, the Launcher will appear as a floating toolbar, which can be moved anywhere on the screen simply by dragging it to a new location.

You can dock it by dragging it to an edge of the screen where it will appear in similar way to the Windows taskbar.

You can have the Launcher always visible or choose to display it only when the mouse is moved over it. Right-click over Launcher and choose from the following:

  • Select Always on Top to make Launcher appear on top of other windows, so you can always see it.

  • Select Auto hide to make Launcher disappear while you’re not using it and reappear as you move the mouse over it. This option only applies if Launcher is docked to the edge of your display.

See also:

Modifying Launcher


Launching an application

To run Write, Database, Spreadsheet, Presentation, Photoalbum or Draw, simply click on it’s button.

In the case of the Ability applications, here's what happens:

Write | Opens Write with a new document, based on the normal template.
Spreadsheet | Opens Spreadsheet with a new spreadsheet.
Photopaint | Starts Photopaint
Draw | Opens Draw with a new draw document.
Presentation | Starts Presentation
Photoalbum | Starts Photoalbum

Database

Starts Database.

Other applications that may be added to Launcher, such as Windows Explorer, start in their default state.

See also:

Closing applications

Adding applications


Opening existing documents

To open an existing document, click on the Open button [image]. A tabbed dialog will appear. This divides your files into four categories: Write documents, spreadsheets, databases and drawings. Click on the tab for the file you want.

The Open dialog only displays files in the current folder, so if you cannot see the file you want, you’ll need to change folder.


Closing applications

Click the Launcher Menu button [image] and select Exit All Applications to close all Ability applications started from Launcher. Each application will prompt for unsaved files in turn.

To close Launcher, right-click and then select Exit.


Modifying Launcher

You can add applications to and remove them from the Launcher. You can also determine the start-up properties for these applications.

In addition, you can choose the display options for Launcher and also make Launcher start up automatically.

See:

Adding an application

Removing an application

Modifying an application

Display options

Adding Launcher to the start-up group


Adding an application

To add an application, click the Launcher Menu button [image] and select Add Application. Choose the application you want to add by typing in a path and program name in the Target box. Alternatively, click the Find button and choose the folder and program you want.

You can optionally modify the following start-up properties:

  1. In the Start In box, type the path of the directory you would like the application to point to when it loads. For example, type in c:\myfiles if you would like the myfiles folder to display first when selecting the File Open command.

  2. In the Shortcut Key box, type a key combination that you’d like to start the application. Valid key combinations are F1 through to F12, Ctrl-A through to Ctrl-Z and Alt-Ctrl-A though to Alt-Ctrl-Z.

  3. To pass additional arguments to the application, enter them in the Arguments box. For example, many applications accept filenames as an argument so they can open the file directly.

  4. In the Run combo-box, choose between Normal, Minimized and Maximized. This will determine the style of windows the application loads into.

See also:

Removing an application

Modifying an application


Removing an application

Click the Launcher Menu button [image] and select Modify.

Select the application you want to remove and click the Delete button.

Note that Ability's own applications - Write, Spreadsheet, Database and Draw - cannot be removed in this way.

See also:

Adding an application

Modifying an application


Modifying an application

To modify an application already in Launcher, click the Launcher Menu button [image] and select Modify. In the Applications tab, select the program you want to modify and then select the Attributes tab.

Choose the new settings - see Adding an application for more details.

Select OK to save and exit the dialog. Select Apply to save and continue modifying other applications.

See also:

Removing an application


Adding Launcher to the startup group

If you want Launcher to appear automatically every time you start Windows, add it to the Windows StartUp group by following these steps:

  1. Right-click on the Start button, select Open and then double click the Programs folder. The Programs Folder will open and you’ll see, among other folders, an Ability Office folder and a StartUp folder.

  2. Double-click the Ability Office folder.

  3. Arrange the Windows so you can see the Ability Office folder (now opened) and the StartUp folder on screen at the same time.

  4. Keeping the Ctrl key pressed, drag the Launcher icon and drop it over the StartUp folder.

Note: this procedure will work with any application so you can add Write or Spreadsheet (or both) to the StartUp folder in exactly the same way. They will then start every time you start Windows.


Windows taskbar

Part of the Windows operating system. This allows you to run applications with the Start button. It also shows all running applications and allows you to switch between them.